OpenVDB 7.0.0

Classes | Namespaces | Typedefs | Functions
AttributeArrayString.h File Reference

Attribute array storage for string data using Descriptor Metadata. More...

`#include "AttributeArray.h"`
`#include <memory>`
`#include <unordered_set>`
`#include <unordered_map>`

Go to the source code of this file.

## Classes
struct | StringTypeTrait< Truncate >
struct | StringTypeTrait< true >
struct | StringCodec< Truncate >
struct | StringCodec< Truncate >::Storage< T >
class | StringMetaInserter
class | StringAttributeHandle
class | StringAttributeWriteHandle

## Namespaces
| openvdb
| openvdb::v7_0
| openvdb::v7_0::points
| openvdb::v7_0::points::attribute_traits

## Typedefs
using | StringIndexType = uint32_t
using | StringAttributeArray = TypedAttributeArray< StringIndexType, StringCodec< false > >

## Functions
bool | isString (const AttributeArray &array)

## Detailed Description

Attribute array storage for string data using Descriptor Metadata.

Author
  Dan Bailey